Skip to main content
GET
/
families
/
{familyID}
/
members
SDK (@phosra/sdk)
import { PhosraClient } from "@phosra/sdk";

const phosra = new PhosraClient({
  baseUrl: "https://phosra-api-sandbox-production.up.railway.app/api/v1",
  accessToken: process.env.PHOSRA_API_KEY,
});

const result = await phosra.members.list("f0000000-0000-4000-8000-0000000000f1");
console.log(result);
[
  {
    "id": "aa03f1c7-5d29-4b60-8e14-2f7a9c0d6b85",
    "family_id": "fcdf4277-ba14-4732-8db5-0369b2c88d8b",
    "user_id": "9f8b2a14-6c3d-4e51-8a72-1f0b9c4d2e63",
    "role": "owner",
    "joined_at": "2026-06-18T14:33:10Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

familyID
string<uuid>
required

Response

Member list

id
string<uuid>

Unique identifier for this resource.

family_id
string<uuid>

Identifier of the family this resource belongs to.

user_id
string<uuid>

Identifier of the user.

role
enum<string>

Member's role within the family.

Available options:
owner,
parent,
guardian
joined_at
string<date-time>

RFC 3339 timestamp of when the member joined.